<template>
  <v-app dark>
    <v-main>
      <v-container>
        <nuxt />
      </v-container>
    </v-main>
    <bottom-navigation :navigation="nav" />
  </v-app>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data: () => {
    return {
      deliveriesBadge: 0,
    }
  },
  computed: {
    nav(): Array<Object> {
      return [
        {
          icon: 'mdi-food',
          title: 'Deliveries',
          to: '/deliveries',
          badge: this.deliveriesBadge,
        },
        {
          icon: 'mdi-home',
          title: 'Home',
          to: '/',
        },
        {
          icon: 'mdi-account',
          title: 'Account',
          to: '/account',
        },
      ]
    },
  },
  mounted() {
    this.getDeliveries()
  },
  methods: {
    async getDeliveries() {
      const deliveries = (
        await this.$axios.$get(
          'http://delivery.localhost:4000/deliverers/' +
            this.$store.state.loggedIn +
            '/orders'
        )
      )[0].orders

      this.deliveriesBadge = deliveries.filter((delivery: any) =>
        ['preparing', 'prepared', 'delivering'].includes(delivery.status)
      ).length
    },
  },
})
</script>
